=== debian/changelog ===
genres (1.0.2) unstable; urgency=low

  * Base support for OpenOffice documents (without javascript object)

 -- Sergey Y. Khlutchin (Khlut) <Sergey.Khlutchin@gmail.com>  Tue, 16 Jan 2007 15:27:36 +0400

genres (1.0.1) unstable; urgency=low

  * Fixed debian package errors&warnings from lintian

 -- Sergey Y. Khlutchin (Khlut) <Sergey.Khlutchin@gmail.com>  Sun,  8 Oct 2006 23:07:33 +0500

genres (1.0.0) unstable; urgency=low

  * Printing. For images now.

 -- Sergey Y. Khlutchin (Khlut) <Sergey.Khlutchin@gmail.com>  Thu, 21 Sep 2006 23:13:35 +0500

genres (0.9.7) unstable; urgency=low

  * added javascript calls from the control scripts
  * added some compatibility with Apple QuickTime plugin by js functions as described at:
    http://developer.apple.com/documentation/QuickTime/Conceptual/QTScripting_JavaScript/bQTScripting_JavaScri_Document/chapter_1000_section_5.html
    are implemented: Play, Stop, Rewind, GetURL, SetURL
  * small changes in mozilla stream handling
  * relative seeking with filepos="+/-seconds";

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Tue, 19 Sep 2006 14:12:54 +0500

genres (0.9.6) unstable; urgency=low

  * use frame delay in ElphelOgm (only for rtp, framedelay=n)
  * save to a set of jpeg files using ElphelOgm -r (only for rtp, saveformat=jpeg)

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Wed, 13 Sep 2006 21:44:12 +0500

genres (0.9.5) unstable; urgency=low

  * a bug fixed: turning image on 180 degree by default

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Fri, 25 Aug 2006 23:04:24 +0500

genres (0.9.4) unstable; urgency=low

  * bug fixed in mplayer.pl when url begins with slash
  * autoclose mode for mozilla streams
  * use the ImageMagick "display" utility to show images
  * rotation & mirroring for images

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Thu, 24 Aug 2006 01:02:17 +0500

genres (0.9.3) unstable; urgency=low

  * rotate, miroor and flip parameters are implemented for simple transformation of the video
    using mplayer filters, rotation is possible to 90, 180 and 270 degree clockwise

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Thu, 10 Aug 2006 13:37:30 +0500

genres (0.9.2) unstable; urgency=low

  * background color for the object can be selected in the config file to black, white or mozilla default;
    see doc/genres.conf
  * added documentation to the package: doc/genres.conf, README.eo.html

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Sun, 14 May 2006 01:22:16 +0500

genres (0.9.1) unstable; urgency=low

  * file descriptor leak fixed

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Wed, 10 May 2006 14:32:06 +0500

genres (0.9.0) unstable; urgency=low

  * string analyse in the plugin reordered
  * plugin config files ~/.mozilla/genres/genres.conf or /etc/genres.conf are supported
  * new config parameter "debuglevel" (now is only two debug levels)
    javascript control for debug level is temporary disabled
  * support for mozilla streams and cache (for src="http|https|ftp...")
  * new config parameter "mozillastreams"
  * pass config parameters to environment variables "GENRES_DEBUGLEVEL" and "GENRES_MOZILLA_STREAMS"
  * add empty printing function to avoid crash on print.

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Thu, 27 Apr 2006 01:29:23 +0500

genres (0.8.11) unstable; urgency=low

  * added marker for end of startup parameters ".\n"
    to prevent player autostart before all parameters accepted by perl script
  * a bug fixed : run=0; run=1 sequence ceased to work
  * framestep, filepos can be seted in tag parameters

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Sun, 09 Apr 2006 00:46:41 +0500

genres (0.8.10) unstable; urgency=low

  * support for "autostart" property - start playing when src changed
  * a bug were fixed with dynamic relative url

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Wed, 29 Mar 2006 00:54:59 +0500

genres (0.8.9) unstable; urgency=low

  * Timeout and mplayer cache is depended of type of url
  * New mime types were added for video and audio supported by mplayer (grabbed from Plugger)
  * Cache filling progress bar were added 

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Sun, 26 Mar 2006 15:27:55 +0500

genres (0.8.8) unstable; urgency=low

  * Compatibility with Firefox/1.5.0.1
  * Some null pointer dereferences prevented

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Thu, 23 Mar 2006 00:56:54 +0400

genres (0.8.7) unstable; urgency=low

  * debug output cleanup
  * dependency cleanup
  * Release number substitution automated
  * ElphelOgm 0.9.5 interactive mode supported

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Sun, 19 Mar 2006 23:18:20 +0400

genres (0.8.6) unstable; urgency=low

  * Mime type application/x-elphel-ogm is added for rtp receiving with ElphelOgm.
  * Some checks added in queue code.

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Wed, 15 Mar 2006 23:21:15 +0400

genres (0.8.5) unstable; urgency=low

  * New control commands: filepos & framestep
  * Some checks and flags in compilation

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Sun, 26 Feb 2006 13:45:06 +0400

genres (0.8.4) unstable; urgency=low

  * Support for frame skiping with ElphelOgm only for rtp url
  * Added run=0 message when user cancel file selection for recording

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Tue, 21 Feb 2006 20:12:53 +0400

genres (0.8.3) unstable; urgency=low

  * Support for FireFox 1.5x
  * Support for javascript objects created with document.createElement('object')
    (it is not supported by firefox 1.0.7 or older).
  * Add control for debug output

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Mon, 13 Feb 2006 20:18:36 +0400

genres (0.8.2) unstable; urgency=low

  * A bug with lossing of property values when slave is restarted is fixed again :-)
  * Support for multicast rtp/mjpeg view&record with use of ElphelOgm tool

