=== debian/control ===
Source: genres
Section: web
Priority: optional
Maintainer: Sergey Y. Khlutchin (Khlut) <Sergey.Khlutchin@gmail.com>
Build-Depends: debhelper (>= 4.0.0), mozilla-dev (>=1.7.5)
Standards-Version: 3.6.1

Package: genres
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libgtk2-perl, mozilla-browser(>=1.7.5) | mozilla-firefox(>=1.0)
Recommends: imagemagick, mplayer, python, python-uno
Suggests: elphel-ogm(>=0.9.9)
Description: Generic reconfigurable scriptable plugin for Mozilla/Firefox
 GenReS is a generic reconfigurable scriptable plugin for Mozilla/Firefox.
 It allows to use external programs for EMBED or OBJECT HTML tags.
 The plugin is supplied with a Perl and Python scripts for embedding OpenOffice,
 imagemagick display, mplayer and mencoder in a browser and controlling it with
 Javascript to display OpenOffice documents, static images, watch video and
 to record it to set of files. It is possible to scale and rotate images and
 video, flip vertically and horizontally. For audio/video files is possible also
 pause/start, step-by-step view, seeking and recording using Javascript.
